"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Paragraph_1 = require("./Paragraph");
var Author_1 = require("./Author");
var Story = /** @class */ (function () {
    /**
     * @param  {LooseObject} json
     */
    function Story(json) {
        var story = json.value;
        // console.log(story)
        this.updatedAt = new Date(story.updatedAt);
        this.createdAt = new Date(story.createdAt);
        this.content = new Content(story.content.subtitle, story.content.bodyModel.paragraphs);
        this.id = story.id;
        this.title = story.title;
        this.detectedLanguage = story.detectedLanguage;
        var authorJson = json.references.User[Object.keys(json.references.User)[0]];
        this.author = new Author_1.default(authorJson);
    }
    return Story;
}());
exports.default = Story;
var Content = /** @class */ (function () {
    /**
     * @param  {String} publicsubtitle
     * @param  {LooseObject[]} paragraphs
     */
    function Content(subtitle, paragraphs) {
        this.subtitle = subtitle;
        this.paragraphs = paragraphs.map(function (p) { return new Paragraph_1.default(p); });
    }
    Content.prototype.toMarkdown = function () {
        return this.paragraphs.reduce(function (p, v) { return (p += v.processParagraph()); }, '');
    };
    return Content;
}());
exports.Content = Content;
//# sourceMappingURL=Story.js.map